summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2019-10-14 07:13:41 +0200
committerRemi Collet <remi@remirepo.net>2019-10-14 07:13:41 +0200
commitaa739385d108bc36f8b45b63180a720372343693 (patch)
tree2916b17907f1e29be764cfdd15b6e129bbcdde3a
parent0c483e5875529a86f6588af7403b5882e2a0e523 (diff)
-rw-r--r--composer.json3
-rw-r--r--phan.spec15
2 files changed, 14 insertions, 4 deletions
diff --git a/composer.json b/composer.json
index 01243b6..293fd65 100644
--- a/composer.json
+++ b/composer.json
@@ -24,6 +24,7 @@
"require": {
"php": "^7.1.0",
"ext-filter": "*",
+ "ext-tokenizer": "*",
"ext-json": "*",
"composer/semver": "^1.4",
"composer/xdebug-handler": "^1.3.2",
@@ -35,7 +36,9 @@
},
"suggest": {
"ext-ast": "Needed for parsing ASTs (unless --use-fallback-parser is used). 1.0.1+ is needed.",
+ "ext-iconv": "Either iconv or mbstring is needed to ensure issue messages are valid utf-8",
"ext-igbinary": "Improves performance of polyfill when ext-ast is unavailable",
+ "ext-mbstring": "Either iconv or mbstring is needed to ensure issue messages are valid utf-8",
"ext-tokenizer": "Needed for non-AST support and file/line-based suppressions."
},
"require-dev": {
diff --git a/phan.spec b/phan.spec
index 4b9fcb0..718782f 100644
--- a/phan.spec
+++ b/phan.spec
@@ -10,14 +10,14 @@
# For compatibility with SCL
%undefine __brp_mangle_shebangs
-%global gh_commit 60cc2642c5f6fd7e920d8f501e9bb95d0c6442e8
+%global gh_commit cd72de4bde30606a8da3aaec7dd1b1ba365e8627
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner phan
#global gh_date 20150820
%global gh_project phan
%global psr0 Phan
%global with_tests 0%{!?_without_tests:1}
-%global upstream_version 2.2.13
+%global upstream_version 2.3.0
#global upstream_prever RC2
Name: %{gh_project}
@@ -85,6 +85,7 @@ BuildRequires: php-composer(fedora/autoloader)
# From composer.json, "require": {
# "php": "^7.1.0",
# "ext-filter": "*",
+# "ext-tokenizer": "*",
# "ext-json": "*",
# "composer/semver": "^1.4",
# "composer/xdebug-handler": "^1.3.2",
@@ -95,16 +96,19 @@ BuildRequires: php-composer(fedora/autoloader)
# "symfony/polyfill-mbstring": "^1.11.0"
Requires: php(language) >= 7.1.0
Requires: php-filter
+Requires: php-tokenizer
Requires: php-json
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
# From composer.json, "suggest": {
# "ext-ast": "Needed for parsing ASTs (unless --use-fallback-parser is used). 1.0.1+ is needed.",
+# "ext-iconv": "Either iconv or mbstring is needed to ensure issue messages are valid utf-8",
# "ext-igbinary": "Improves performance of polyfill when ext-ast is unavailable",
+# "ext-mbstring": "Either iconv or mbstring is needed to ensure issue messages are valid utf-8",
# "ext-tokenizer": "Needed for non-AST support and file/line-based suppressions."
Recommends: php-ast >= 1.0.1
Suggests: php-igbinary
-Recommends: php-tokenizer
+Suggests: php-iconv
Requires: (php-composer(composer/semver) >= 1.4 with php-composer(composer/semver) < 2)
Requires: (php-composer(composer/xdebug-handler) >= 1.3.2 with php-composer(composer/xdebug-handler) < 2)
Requires: (php-composer(felixfbecker/advanced-json-rpc) >= 3.0.4 with php-composer(felixfbecker/advanced-json-rpc) < 4)
@@ -127,7 +131,7 @@ Requires: php-composer(sabre/event) < 6
Requires: php-composer(sabre/event) >= 5.0
Requires: php-composer(symfony/console) < 4
%endif
-# From phpcompatinfo report for 1.2.5
+# From phpcompatinfo report for 2.3.0
Requires: php-cli
Requires: php-reflection
Requires: php-ctype
@@ -230,6 +234,9 @@ EOF
%changelog
+* Mon Oct 14 2019 Remi Collet <remi@remirepo.net> - 2.3.0-1
+- update to 2.3.0
+
* Fri Oct 4 2019 Remi Collet <remi@remirepo.net> - 2.2.13-1
- update to 2.2.13
- raise dependency on felixfbecker/advanced-json-rpc 3.0.4